summaryrefslogtreecommitdiff
path: root/t/depend6.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/depend6.sh')
-rwxr-xr-xt/depend6.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/t/depend6.sh b/t/depend6.sh
new file mode 100755
index 000000000..fb4c14003
--- /dev/null
+++ b/t/depend6.sh
@@ -0,0 +1,46 @@
+#! /bin/sh
+# Copyright (C) 2008-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check for _AM_OUTPUT_DEPENDENCY_COMMANDS grouping bug,
+# reported by Markus Duft.
+
+. ./defs || Exit 1
+
+cat >>configure.ac << END
+AC_PROG_CC
+AC_OUTPUT
+END
+
+cat > Makefile.am << END
+bin_PROGRAMS = foo
+foo_SOURCES = foo.c foo.h
+END
+
+cat >foo.c << END
+#include "foo.h"
+END
+: >foo.h
+
+$ACLOCAL
+$AUTOMAKE
+$AUTOCONF
+./configure --disable-dependency-tracking 2>stderr || {
+ stat=$?; cat stderr >&2; Exit $stat;
+}
+cat stderr >&2
+grep shift stderr && Exit 1
+
+: